# Performance Schema setup\_objects Table

## Description

The `setup_objects` table determines whether objects are monitored by the performance schema or not. By default limited to 100 rows, this can be changed by setting the [performance\_schema\_setup\_objects\_size](/docs/server/reference/system-tables/performance-schema/performance-schema-system-variables.md#performance_schema_setup_objects_size) system variable when the server starts.

It contains the following columns:

| Column         | Description                                                                                                                      |
| -------------- | -------------------------------------------------------------------------------------------------------------------------------- |
| OBJECT\_TYPE   | Type of object to instrument, currently only . Currently, only TABLE', for base table.                                           |
| OBJECT\_SCHEMA | Schema containing the object, either the literal or % for any schema.                                                            |
| OBJECT\_NAME   | Name of the instrumented object, either the literal or % for any object.                                                         |
| ENABLED        | Whether the object's events are instrumented or not. Can be disabled, in which case monitoring is not enabled for those objects. |
| TIMED          | Whether the object's events are timed or not. Can be modified.                                                                   |

When the Performance Schema looks for matches in the `setup_objects`, there may be more than one row matching, with different `ENABLED` and `TIMED` values. It looks for the most specific matches first, that is, it will first look for the specific database and table name combination, then the specific database, only then falling back to a wildcard for both.

Rows can be added or removed from the table, while for existing rows, only the `TIMED` and `ENABLED` columns can be updated. By default, all tables except those in the `performance_schema`, `information_schema` and `mysql` databases are instrumented.

<sub>*This page is licensed: CC BY-SA / Gnu FDL*</sub>

{% @marketo/form formId="4316" %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://mariadb.com/docs/server/reference/system-tables/performance-schema/performance-schema-tables/performance-schema-setup_objects-table.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
